#!/bin/bash

NOW=$(date +"%d/%m/%Y %H:%M")

echo ""
echo "============================================================================================================================================"
echo == SYNCHRONISATION DU $NOW =====================================================================================================
echo "============================================================================================================================================"

key=oosaetha

if [ -d /var/www/html/posh-profil/synchro ]
then

	%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
		cd /var/www/html/posh-profil/synchro
		
		%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		echo ""
		echo "== SYNCHRONISATION POSH ===================================================================================================================="
		php posh-synchro.php -- key=$key
		%end if
		
		%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		echo ""
		echo "== SYNCHRONISATION WORDPRESS ==============================================================================================================="
		php wordpress-synchro.php -- key=$key
		%end if

		%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
		echo ""
		echo "== SYNCHRONISATION CDT ====================================================================================================================="
		php cdt-synchro.php -- key=$key
		%end if


		%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
		echo ""
		echo "== SYNCHRONISATION ICONITO ================================================================================================================="
		php iconito-synchro.php -- key=$key
		%end if
		

		%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
		echo ""
		echo "== SYNCHRONISATION BALADO =================================================================================================================="
		php balado-synchro.php -- key=$key
		%end if	
		

		%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui' and %%is_defined('moodle_version') and %%moodle_version >= 25
		echo ""
		echo "== SYNCHRONISATION MOODLE =================================================================================================================="
		php moodle-synchro.php -- key=$key
		%end if	*
		
		%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		echo ""
		echo "== SYNCHRONISATION LIMESURVEY =============================================================================================================="
		php limesurvey-synchro.php -- key=$key
		%end if			
	%end if
	
	%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'
		cd /var/www/html/posh-profil/pia

		%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		echo ""
		echo "== SYNCHRONISATION POSH ===================================================================================================================="
		php posh-synchro.php -- key=$key
		%end if

		%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		echo ""
		echo "== SYNCHRONISATION WORDPRESS ==============================================================================================================="
		php wordpress-synchro.php -- key=$key
		%end if

		%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
		echo ""
		echo "== SYNCHRONISATION FENGOFFICE =============================================================================================================="
		php fengoffice-synchro.php -- key=$key
		%end if
	%end if
	
fi
